
function [isladcpOK, zladcp, uladcp, vladcp, zm, um, vm, tidu, tidv] = getladcp(j)
%  
%  get the LADCP profile j
%  this assumes that the mat file (a structure) is in the present
%     directory


isladcpOK = 0;

el = exist('lady', 'var');
if el == 0
    load ladcp247f2   %  get the structure  
end

[n9 nn] = size(lady);
if j >= 1 | j <= nn+1
clear ladc
ladc = lady(j).la_abs;
[nz nn] = size(ladc); 

if nz <= 5    %  make sure there is some data for this j
   isladcpOK = 0;
    zladcp = [];
    uladcp = [];
    vladcp = [];
    zm = [];
    um = [];
    vm = [];
    tidu = [];
    tidv = [];
 return
end
end
    
clear zladcp uladcp vladcp
isladcpOK = 1;

for k=1:nz
azladcp(k) = ladc(k,1);
end
zladcp = azladcp';

uladcp = lady(j).l_u_ref;
vladcp = lady(j).l_v_ref;
    
%  load and plot the ship's ADCP data for comparison
clear zm um vm 
um = lady(j).vm_u;
vm = lady(j).vm_v;
zm = lady(j).vm_z;

tidu = lady(j).tpx6u;
tidv = lady(j).tpx6v;  

return